package com.biasi.partyapp;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.MenuItem;

import com.biasi.partyapp.models.Festa;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.OnMapReadyCallback;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;

/**
 * Created by Gabriel de Biasi on 02/07/2015.
 */
public class MapScreen extends AppCompatActivity implements OnMapReadyCallback {

    private Toolbar mToolbar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_map_screen);

        mToolbar = (Toolbar) findViewById(R.id.toolbar_top);
        setSupportActionBar(mToolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        MapFragment mapFragment = (MapFragment) getFragmentManager().findFragmentById(R.id.map);
        mapFragment.getMapAsync(this);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem menuItem) {
        if (menuItem.getItemId() == android.R.id.home) {
            finish();
        }
        return super.onOptionsItemSelected(menuItem);
    }

    @Override
    public void onMapReady(GoogleMap map) {
        long festa_id = getIntent().getExtras().getLong("festa_id");
        final Festa f = Festa.findById(Festa.class, festa_id);
        if (f == null) {
            finish();
            return;
        }
        mToolbar.setTitle(f.getTitulo());
        LatLng local = new LatLng(f.getLocalLatitude(), f.getLocalLongitude());
        map.setMyLocationEnabled(true);
        map.moveCamera(CameraUpdateFactory.newLatLngZoom(local, 15));

        map.addMarker(new MarkerOptions()
                .title(f.getTitulo())
                .snippet(f.getSite())
                .position(local));
    }
}
