package com.biasi.partyapp.adapters;

import android.content.Context;
import android.database.DataSetObserver;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.SpinnerAdapter;
import android.widget.TextView;

import com.biasi.partyapp.R;

import java.util.ArrayList;

public class SimpleSpinnerAdapter implements SpinnerAdapter {

    private Context context;
    private ArrayList<String> ids;
    private ArrayList<String> values;

    public SimpleSpinnerAdapter(Context context, ArrayList<String> ids, ArrayList<String> values) {
        this.context = context;
        this.ids = ids;
        this.values = values;
    }

    @Override
    public View getDropDownView(int position, View convertView, ViewGroup parent) {
        View layout;
        if(convertView == null) {
            layout = LayoutInflater.from(context).inflate(R.layout.select_city_item, null);
        } else {
            layout = convertView;
        }

        TextView txt = (TextView) layout.findViewById(R.id.text1);
        txt.setText(values.get(position));
        return layout;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View layout;
        if(convertView == null) {
            layout = LayoutInflater.from(context).inflate(R.layout.select_city_item, null);
        } else {
        layout = convertView;
    }

        TextView txt = (TextView) layout.findViewById(R.id.text1);
        txt.setText(values.get(position));
        return layout;
    }

    @Override
    public void registerDataSetObserver(DataSetObserver observer) {
    }

    @Override
    public void unregisterDataSetObserver(DataSetObserver observer) {
    }

    @Override
    public int getCount() {
        return values.size();
    }

    @Override
    public Object getItem(int position) {
        return values.get(position);
    }

    @Override
    public long getItemId(int position) {
        return Long.valueOf(ids.get(position));
    }

    @Override
    public boolean hasStableIds() {
        return true;
    }

    @Override
    public int getItemViewType(int position) {
        return 0;
    }

    @Override
    public int getViewTypeCount() {
        return 0;
    }

    @Override
    public boolean isEmpty() {
        return values.isEmpty();
    }
}
