package com.biasi.partyapp.mutants;

import android.content.Context;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.toolbox.Volley;

/**
 * Created by Gabriel de Biasi on 10/05/2015.
 */
public class HttpQueue {

    private static HttpQueue mInstance;
    private RequestQueue mRequestQueue;
    private static Context mCtx;

    private HttpQueue(Context context) {
        mCtx = context;
        mRequestQueue = getRequestQueue();
    }

    public static synchronized HttpQueue getInstance(Context context) {
        if (mInstance == null) {
            mInstance = new HttpQueue(context);
        }
        return mInstance;
    }

    public RequestQueue getRequestQueue() {
        if (mRequestQueue == null) {
            mRequestQueue = Volley.newRequestQueue(mCtx.getApplicationContext());
        }
        return mRequestQueue;
    }

    public <T> void add(Request<T> req) {
        getRequestQueue().add(req);
    }
}
