package com.biasi.partyapp.mutants;

import android.content.Context;
import android.content.res.XmlResourceParser;
import android.preference.DialogPreference;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Spinner;

import com.biasi.partyapp.R;
import com.biasi.partyapp.adapters.SimpleSpinnerAdapter;
import com.biasi.partyapp.util.Util;

import org.xmlpull.v1.XmlPullParser;

import java.util.ArrayList;

public class SelectCityPreference extends DialogPreference {

    private long selected_city = -1;
    private long selected_state = -1;
    private Spinner states;
    private Spinner cities;
    private SimpleSpinnerAdapter city_adapter, state_adapter;
    ArrayList<String> array_cidades = new ArrayList<>();
    ArrayList<String> array_cidades_id = new ArrayList<>();

    public SelectCityPreference(Context context, AttributeSet attrs) {
        super(context, attrs);
    }
    @Override
    protected View onCreateDialogView() {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        View layout = inflater.inflate(R.layout.select_city, null);

         states = (Spinner) layout.findViewById(R.id.states);
         cities = (Spinner) layout.findViewById(R.id.cities);

        ArrayList<String> array_estados = new ArrayList<>();
        ArrayList<String> array_estados_id = new ArrayList<>();

        try {
            XmlResourceParser estados = getContext().getResources().getXml(R.xml.estados);

            while (estados.getEventType()!= XmlPullParser.END_DOCUMENT) {
                if (estados.getEventType() == XmlPullParser.START_TAG) {
                    if (estados.getName().equals("estado")) {
                        array_estados_id.add(estados.getAttributeValue(0));
                        estados.next();
                        array_estados.add(estados.getText());
                    }
                }
                estados.next();
            }
        }
        catch (Exception t) {
            t.printStackTrace();
        }

        state_adapter = new SimpleSpinnerAdapter(getContext(), array_estados_id, array_estados);
        states.setAdapter(state_adapter);

        int i = 0;
        String es = Util.getStateId(getContext());
        while (true) {
            if (es.equals(array_estados_id.get(i))) break;
            i++;
        }
        states.setSelection(i);

        reloadCities(Util.getStateId(getContext()));

        states.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                savePreviousState(id);
                reloadCities(String.valueOf(id));
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {}
        });

        cities.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                savePreviousCity(id);
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {}
        });

        return layout;
    }

    private void savePreviousCity(long id) {
        this.selected_city = id;
    }

    private void savePreviousState(long id) {
        this.selected_state = id;
    }

    @Override
    protected void onDialogClosed(boolean positiveResult) {
        if (positiveResult && selected_city != -1 && selected_state != -1) {
            Util.setCityStateId(SelectCityPreference.this.getContext(), selected_city, selected_state);
        }
    }

    private void reloadCities(String id) {
        array_cidades_id.clear();
        array_cidades.clear();
        try {
            XmlResourceParser cidades = getContext().getResources().getXml(R.xml.cidades);

            while (cidades.getEventType()!= XmlPullParser.END_DOCUMENT) {
                if (cidades.getEventType() == XmlPullParser.START_TAG) {
                    if (cidades.getName().equals("cidade") && cidades.getAttributeValue(1).equals(id)) {
                        array_cidades_id.add(cidades.getAttributeValue(0));
                        cidades.next();
                        array_cidades.add(cidades.getText());
                    }
                }
                cidades.next();
            }
        }
        catch (Exception t) {
            t.printStackTrace();
        }

        city_adapter = new SimpleSpinnerAdapter(getContext(), array_cidades_id, array_cidades);
        cities.setAdapter(city_adapter);

        String es = Util.getCityId(getContext());
        for (int i = 0; i < array_cidades_id.size(); i++) {
            if (es.equals(array_cidades_id.get(i))) {
                cities.setSelection(i);
                break;
            }
        }
    }
}
