# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings
import location_field.models.spatial


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Festa',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('banner', models.ImageField(null=True, upload_to=b'banners', blank=True)),
                ('titulo', models.CharField(max_length=30)),
                ('descricao', models.CharField(max_length=100)),
                ('data', models.DateTimeField()),
                ('site', models.URLField(null=True)),
                ('style', models.IntegerField()),
                ('cidade', models.IntegerField()),
                ('location', location_field.models.spatial.LocationField(default=(1.0, 1.0), srid=4326)),
                ('promoter', models.ForeignKey(to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('nome', models.CharField(max_length=100)),
                ('facebook', models.CharField(max_length=50)),
                ('data', models.DateTimeField()),
                ('style', models.IntegerField()),
                ('reqs', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Promoter',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('telefone', models.CharField(max_length=30)),
                ('identidade', models.CharField(max_length=30)),
                ('user', models.OneToOneField(to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
